Bug 46957 - RH 7.1 install on N440BX motherboard cannot see PCI RAID card
RH 7.1 install on N440BX motherboard cannot see PCI RAID card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-02 10:20 EDT by Lance A. Brown
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lance A. Brown 2001-07-02 10:20:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686; Nav)

Description of problem:
I am trying to install Red Hat Linux 7.1 onto a system with an Intel N440BX
dual P2 400Mhz. CPUs with PCI SCSI RAID controller installed.

I have tried this with both a DPT PM3334UW and a Mylex DAC960 SCSI RAID
Controller.

With both controllers, the install kernel does not detect the SCSI RAID
controller.  Installed with 'text expert noprobe' and explicitly asking for
the correct driver results in insmod errors and the driver not loading.

If I try to install using just 'text expert' the system autodetects the
SymBIOS SCSI controller on the motherboard and correctly configures it, but
does not find either RAID card and then fails because no disk storage
device was found to install RH onto.

How reproducible:
Always

Steps to Reproduce:
Boot using RH 7.1 bootnet img.
At syslinux boot: prompt enter 'text expert noprobe'
Add the DPT driver or the Mylex DAC960 driver as appropriate
Watch the kernel fail to load the module

Expected Results:  RH 7.1 installer should detect the SCSI RAID controllers
automatically.


Additional info:
Comment 1 Brent Fox 2001-07-03 15:01:02 EDT
Have you used these cards with older versions of Red Hat Linux?
Comment 2 Lance A. Brown 2001-07-03 15:10:59 EDT
Yes,  I have used these cards with older versions of Red Hat Linux.  I have
several boxes running identical Mylex DAC960 cards with RH Linux 6.2 currently. 
I also have at least one box running on the DPT card with RH Linux 6.1 or 6.2.

With the Mylex card installed I was able to use the Mylex-provided configuration
program running from MSDOS to configure and initialize the RAID so I know the
card itself is operational.
Comment 3 Brent Fox 2001-07-03 16:21:39 EDT
This sounds more like a driver problem than an installer problem if you are
getting errors while loading the module.  Changing component to the kernel.
Comment 4 Need Real Name 2001-07-30 14:02:43 EDT
FWIW, it appears that I have a similar problem with an AMI MegaRAID 762 card. linux noprobe does not allow me to add either the megaraid or aic7xxx 
drivers. The machine is currently running RH6.0 and I have updated the firmware on the MegaRAID card to the most recent version (2.14). The machine 
is also a dual P3-500. When the system to load the aic7xxx driver, it loops with "Aborting command due to timeout".

Hoping this can be resolved shortly - I really need a more stable NFS server than 6.0 has been providing me :)
Comment 5 Bugzilla owner 2004-09-30 11:39:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.